* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    height: 100%;
    margin: 0;
}

body {
    display: grid;
    min-height: 100vh;
    grid-template-rows: auto 1fr auto;
}

/* Header */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #000000;
    padding: 0px 20px;
    height: 110px;
}

.navbar .logo {
    color: white;
    text-decoration: none;
}

.navbar-buttons {
    display: flex;
    gap: 15px;
}

.logo img {
    max-width: 200px;
    max-height: 130px;
}

.btn-ingresar {
    background-color: red;
    border: 1px solid white;
    color: white;
    padding: 10px 20px;
    border-radius: 15px;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
}

.btn-ingresar:hover {
    background-color: white;
    color: black;
    border-color: black;
}

.btn-registrate {
    background-color: red;
    border: 1px solid white;
    color: white;
    padding: 10px 20px;
    border-radius: 15px;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
}

.btn-registrate:hover {
    background-color: #ffffff;
    color: #000000;
    border-color: black;
}

.card {
    border: none;
    border-radius: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    background: linear-gradient(135deg, #ffffff, #f8f9fa);
    transition: transform 0.3s ease;
}

.card:hover {
    transform: scale(1.05);
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.3);
}

.card-title {
    font-size: 1.5rem;
    font-weight: bold;
    color: #dc3545;

}

.card-body {
    text-align: center;
    font-size: 1rem;
    color: #6c757d;
}


.logo {
    display: block;
    width: 150px;
    height: auto;
    margin: 0 auto 20px;
    animation: zoom 5s infinite;
}

/* Footer */
footer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: rgb(0, 0, 0);
    padding: 10px;
    color: white;
}

h2 {
    font-weight: bold;
}

.footer-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    height: auto;
}

.footer-logo h2 {
    margin: 0;
    font-size: 24px;
    color: #f30505;
}

.footer-links {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 15px;
    margin: 10px 0;
}

.footer-link {
    color: white;
    font-weight: bolder;
    text-decoration: none;
    transition: color 0.3s;
}

.footer-link:hover {
    color: #ff0000;
}

.footer-social {
    display: flex;
    gap: 50px;
    margin: 10px 0;
}

.footer-icon {
    background-color: white;
    text-decoration: none;
    padding: 10px;
    border: 1px solid white;
    border-radius: 50%;
    transition: background-color 0.3s, color 0.3s;
}

.footer-icon:hover {
    background-color: white;
    color: black;
}

.footer-icon img {
    width: 24px;
    height: 24px;
    display: block;
}

h6 {
    text-align: center;
}

.container.py-5 {
    display: flex;
    flex-direction: column;
    align-content: center;
    align-items: center;
    justify-content: center; 
}

/* Media Queries */

/* Para dispositivos móviles */
@media (max-width: 768px) {
    .navbar {
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding: 10px;
        height: auto;
    }

    .navbar .logo {
        display: flex;
        align-content: center;
        justify-content: center;
        margin-left: -13px;
    }

    .logo img {
        max-width: 110px;

    }

    .navbar-buttons {
        flex-direction: column;
        gap: 10px;
        margin-left: 0;
    }

    .btn {
        margin-top: 10px !important;
        margin-left: 0 !important;
    }

    .buscador-container {
        margin-top: 20px;
        padding: 20px;
    }

    .buscador {
        width: 90%;
    }

    .card {
        width: 90%;
        height: auto;
    }

    .titulo {
        font-size: 1.5rem;
    }

    .card-profesiones {
        grid-template-columns: 1fr;
        justify-items: center;
    }

    footer {
        flex-direction: column;
        height: auto;
    }

    .footer-social {
        display: none;
    }

    h6 {
        text-align: center;
    }

    .container.py-5 {
        padding-left: 15px;
        padding-right: 15px;
    }

    .row.g-4 {
        display: flex;
        flex-direction: column;  
        align-items: center; 
    }

    .col-md-5,
    .col-md-10 {
        width: 100%;  
        margin-bottom: 20px; 
    }

    .card {
        width: 100%;  
        margin-bottom: 15px;
    }

    .card-body {
        font-size: 0.9rem;  
    }
}

/* Desde 769 hasta 1024 */
@media (min-width: 769px) and (max-width: 991px) {
    .navbar {
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding: 10px;
        height: auto;
    }

    .navbar .logo {
        display: flex;
        align-content: center;
        justify-content: center;
        margin-left: 10px;
    }

    .logo img {
        max-width: 110px;

    }

    .navbar-buttons {
        flex-direction: column;
        gap: 10px;
        margin-left: 0;
    }

    .btn {
        margin-top: 10px !important;
        margin-left: 0 !important;
    }

}